bnac is a program for creating virtual museum environments.

bnac is Free Software. See COPYING file for license.

Documentation is a bit lacking right now, and so is the code ;-)

Software requirements
=====================

Library dependencies:
- bnac-common ( http://repo.or.cz/w/bnac-common.git )
- libvecmath >= 1.5.2
- libslf4j-android >= 1.5.8

The corresponding JAR files must be either put or symlinked from the directory
`lib'. That is to say, for example,
    $ cd path/to/bnac-common
    $ mkdir lib && cd lib
    $ ln -s /usr/share/java/vecmath.jar

For building:
- ant >= 1.8

(The version constraints are just the ones that the project was built with,
maybe it works with previous versions, maybe not.)

Building instructions
=====================

$ cd path/to/bnac-visitor
$ ant compile

That's it ;-)

Testing
=======

If there is an Android emulator or debuggable device attached, the command,
    $ ant install
will install the package on it for testing purposes.

To view logs, the android debugging bridge can be used,
    $ adb logcat cl.uchile.dcc.bnac:*

